//############################################################################

//  Author:	Sharjith Nair
//  Email:	sharjith_ssn@hotmail.com

// Program:	OpenGL, C++ MFC StereoLithography Data File Viewer Application

//							Important Notice:

//	This Idea and the Application is Copyright(c) Sharjith Nair 2002, 2003.
//	You can freely use it as long as you credit me for it.

//	No guarantee/warranty is given on this app and I will not be responsible 
//	for any damage to you, your property or any other person from using it.
//	USE IT ON YOUR OWN RISK.

//	Thankyou
//	Sharjith Nair.

//#############################################################################

// GLTrihedron.h: interface for the CGLTrihedron class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GLTRIHEDRON_H__F1DE074D_EC62_4F52_9890_7612816C931B__INCLUDED_)
#define AFX_GLTRIHEDRON_H__F1DE074D_EC62_4F52_9890_7612816C931B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GLObject.h"

class CGLTrihedron : public CGLObject  
{
public:
	CGLTrihedron();
	CGLTrihedron(GLfloat size);
	virtual ~CGLTrihedron();
	virtual CGLObject* Copy() const;
	virtual void DefineDisplay();
	virtual void Display(const GLDisplayMode& = GLWIREFRAME);
	virtual void Hilight(const GLDisplayMode&);
	void SetSize(GLfloat size); 
private:
	GLfloat csSize;
	static GLuint list;
private:
	void DrawText(char* string);
	void ComputeBoundLimits();

};

#endif // !defined(AFX_GLTRIHEDRON_H__F1DE074D_EC62_4F52_9890_7612816C931B__INCLUDED_)
