//############################################################################

//  Author:	Sharjith Nair
//  Email:	sharjith_ssn@hotmail.com

// Program:	OpenGL, C++ MFC StereoLithography Data File Viewer Application

//							Important Notice:

//	This Idea and the Application is Copyright(c) Sharjith Nair 2002, 2003.
//	You can freely use it as long as you credit me for it.

//	No guarantee/warranty is given on this app and I will not be responsible 
//	for any damage to you, your property or any other person from using it.
//	USE IT ON YOUR OWN RISK.

//	Thankyou
//	Sharjith Nair.

//#############################################################################

// ListIteratorOfListOfCGLObject.h: interface for the CListIteratorOfListOfCGLObject class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LISTITERATOROFLISTOFCGLOBJECT_H__78388721_B158_46A4_999E_7EF2B4900FCD__INCLUDED_)
#define AFX_LISTITERATOROFLISTOFCGLOBJECT_H__78388721_B158_46A4_999E_7EF2B4900FCD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ListNodeOfCGLObject.h"
#include "ListOfCGLObject.h"

class CListIteratorOfListOfCGLObject
{
public:
	CListIteratorOfListOfCGLObject(){}
	CListIteratorOfListOfCGLObject(CListOfCGLObject*);
	virtual ~CListIteratorOfListOfCGLObject();
	void SetList(CListOfCGLObject*);
	void Init();
	bool More() const;
	bool IsFound(const CGLObject*) const;
	void Next();
	CGLObject* Current() const;
	CListNodeOfCGLObject* CurrentPtr() const;
	void SetCurrent(CGLObject*);
	CGLObject* ValueAt(const int index);
private:
	CListNodeOfCGLObject* curPtr;
	CListOfCGLObject* theList;
};

#endif // !defined(AFX_LISTITERATOROFLISTOFCGLOBJECT_H__78388721_B158_46A4_999E_7EF2B4900FCD__INCLUDED_)
