//############################################################################

//  Author:	Sharjith Nair
//  Email:	sharjith_ssn@hotmail.com

// Program:	OpenGL, C++ MFC StereoLithography Data File Viewer Application

//							Important Notice:

//	This Idea and the Application is Copyright(c) Sharjith Nair 2002, 2003.
//	You can freely use it as long as you credit me for it.

//	No guarantee/warranty is given on this app and I will not be responsible 
//	for any damage to you, your property or any other person from using it.
//	USE IT ON YOUR OWN RISK.

//	Thankyou
//	Sharjith Nair.

//#############################################################################

// ListNodeOfCGLObject.h: interface for the CListNodeOfCGLObject class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LISTNODEOFCGLOBJECT_H__59F1A1AE_B66F_4442_BFA7_FA1BF4C3CC4E__INCLUDED_)
#define AFX_LISTNODEOFCGLOBJECT_H__59F1A1AE_B66F_4442_BFA7_FA1BF4C3CC4E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GLObject.h"

class CGLObject;
class CListOfCGLObject;

class CListNodeOfCGLObject  
{
	friend class CListOfCGLObject;
	friend class CListIteratorOfListOfCGLObject;
public:
	CListNodeOfCGLObject(CGLObject*);
	CGLObject* GetData() const;
	virtual ~CListNodeOfCGLObject();
	bool operator==(CListNodeOfCGLObject& rhs);
	bool operator!=(CListNodeOfCGLObject& rhs);
private:
	CGLObject* data;
	CListNodeOfCGLObject* nextPtr;

};

#endif // !defined(AFX_LISTNODEOFCGLOBJECT_H__59F1A1AE_B66F_4442_BFA7_FA1BF4C3CC4E__INCLUDED_)
