//############################################################################

//  Author:	Sharjith Nair
//  Email:	sharjith_ssn@hotmail.com

// Program:	OpenGL, C++ MFC StereoLithography Data File Viewer Application

//							Important Notice:

//	This Idea and the Application is Copyright(c) Sharjith Nair 2002, 2003.
//	You can freely use it as long as you credit me for it.

//	No guarantee/warranty is given on this app and I will not be responsible 
//	for any damage to you, your property or any other person from using it.
//	USE IT ON YOUR OWN RISK.

//	Thankyou
//	Sharjith Nair.

//#############################################################################

// StLReader.h: interface for the CStLReader class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STLREADER_H__37B2162A_D54F_44B6_A67C_32AF452838F3__INCLUDED_)
#define AFX_STLREADER_H__37B2162A_D54F_44B6_A67C_32AF452838F3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ListOfCPoint3D.h"
#include "ListIteratorOfListOfCPoint3D.h"

class CStLReader  
{
public:
	CStLReader(){}
	CStLReader(const CString& fName);
	virtual ~CStLReader();
	CStLReader* Copy();
public:
	CListOfCPoint3D* pointList;
private:
	bool Read();
private:
	CString fileName;
};

#endif // !defined(AFX_STLREADER_H__37B2162A_D54F_44B6_A67C_32AF452838F3__INCLUDED_)
