//############################################################################

//  Author:	Sharjith Nair
//  Email:	sharjith_ssn@hotmail.com

// Program:	OpenGL, C++ MFC StereoLithography Data File Viewer Application

//							Important Notice:

//	This Idea and the Application is Copyright(c) Sharjith Nair 2002, 2003.
//	You can freely use it as long as you credit me for it.

//	No guarantee/warranty is given on this app and I will not be responsible 
//	for any damage to you, your property or any other person from using it.
//	USE IT ON YOUR OWN RISK.

//	Thankyou
//	Sharjith Nair.

//#############################################################################

// GeomException.h: interface for the CGeomException class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GEOMEXCEPTION_H__83974345_743E_4440_A01B_6B925B6997E3__INCLUDED_)
#define AFX_GEOMEXCEPTION_H__83974345_743E_4440_A01B_6B925B6997E3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

enum ErrorType { DivideByZero, ConstructionFailure, MaxDegree};

class CGeomException  
{
public:
	CGeomException();
	CGeomException(ErrorType type);
	virtual ~CGeomException();
	char* ErrorMessage() const;
private:
	char* msg;

};

#endif // !defined(AFX_GEOMEXCEPTION_H__83974345_743E_4440_A01B_6B925B6997E3__INCLUDED_)
