//############################################################################

//  Author:	Sharjith Nair
//  Email:	sharjith_ssn@hotmail.com

// Program:	OpenGL, C++ MFC StereoLithography Data File Viewer Application

//							Important Notice:

//	This Idea and the Application is Copyright(c) Sharjith Nair 2002, 2003.
//	You can freely use it as long as you credit me for it.

//	No guarantee/warranty is given on this app and I will not be responsible 
//	for any damage to you, your property or any other person from using it.
//	USE IT ON YOUR OWN RISK.

//	Thankyou
//	Sharjith Nair.

//#############################################################################

// ListException.h: interface for the CListException class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LISTEXCEPTION_H__FBF6591B_20C2_4826_A1E2_FBF68D28159C__INCLUDED_)
#define AFX_LISTEXCEPTION_H__FBF6591B_20C2_4826_A1E2_FBF68D28159C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

enum LIST_ERROR{ LIST_OUT_OF_MEMORY, LIST_BOUND_LOWER, LIST_BOUND_UPPER, LIST_EMPTY, ERROR_UNKNOWN };

class CListException  
{
public:
	CListException(){}
	CListException(LIST_ERROR type);
	virtual ~CListException();
	char* ErrorMessage();
private:
	char* msg;

};

#endif // !defined(AFX_LISTEXCEPTION_H__FBF6591B_20C2_4826_A1E2_FBF68D28159C__INCLUDED_)
