//############################################################################

//  Author:	Sharjith Nair
//  Email:	sharjith_ssn@hotmail.com

// Program:	OpenGL, C++ MFC StereoLithography Data File Viewer Application

//							Important Notice:

//	This Idea and the Application is Copyright(c) Sharjith Nair 2002, 2003.
//	You can freely use it as long as you credit me for it.

//	No guarantee/warranty is given on this app and I will not be responsible 
//	for any damage to you, your property or any other person from using it.
//	USE IT ON YOUR OWN RISK.

//	Thankyou
//	Sharjith Nair.

//#############################################################################

// ListIteratorOfListOfCPoint3D.h: interface for the CListIteratorOfListOfCPoint3D class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LISTITERATOROFLISTOFCPOINT3D_H__7CFDA3D2_B226_49F6_9955_05E1A23506EA__INCLUDED_)
#define AFX_LISTITERATOROFLISTOFCPOINT3D_H__7CFDA3D2_B226_49F6_9955_05E1A23506EA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ListNodeOfCPoint3D.h"
#include "ListOfCPoint3D.h"

class CListIteratorOfListOfCPoint3D
{
public:
	CListIteratorOfListOfCPoint3D() {;}
	CListIteratorOfListOfCPoint3D(CListOfCPoint3D*);
	virtual ~CListIteratorOfListOfCPoint3D();
	void SetList(CListOfCPoint3D*);
	void Init();
	bool More() const;
	void Next();
	CPoint3D Current() const;
	CPoint3D ValueAt(const int index);
private:
	CListNodeOfCPoint3D* curPtr;
	CListOfCPoint3D* theList;
};

#endif // !defined(AFX_LISTITERATOROFLISTOFCPOINT3D_H__7CFDA3D2_B226_49F6_9955_05E1A23506EA__INCLUDED_)
