// ListNodeOfCGLObject.cpp: implementation of the CListNodeOfCGLObject class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ListNodeOfCGLObject.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CListNodeOfCGLObject::CListNodeOfCGLObject( CGLObject* P) : data(P), nextPtr(0)
{

}

CListNodeOfCGLObject::~CListNodeOfCGLObject()
{
	if(data)
		delete data;
}

CGLObject* CListNodeOfCGLObject::GetData() const
{
	return data;
}

bool CListNodeOfCGLObject::operator==(CListNodeOfCGLObject& rhs)
{
	if(*this==rhs)
		return true;
	return false;
}

bool CListNodeOfCGLObject::operator!=(CListNodeOfCGLObject& rhs)
{
	return !(*this==rhs);
}
