//############################################################################

//  Author:	Sharjith Nair
//  Email:	sharjith_ssn@hotmail.com

// Program:	OpenGL, C++ MFC StereoLithography Data File Viewer Application

//							Important Notice:

//	This Idea and the Application is Copyright(c) Sharjith Nair 2002, 2003.
//	You can freely use it as long as you credit me for it.

//	No guarantee/warranty is given on this app and I will not be responsible 
//	for any damage to you, your property or any other person from using it.
//	USE IT ON YOUR OWN RISK.

//	Thankyou
//	Sharjith Nair.

//#############################################################################

// ListNodeOfCPoint3D.h: interface for the CListNodeOfCPoint3D class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LISTNODEOFCPOINT3D_H__0206868D_2E9C_40D2_AB3E_AD8990AA5941__INCLUDED_)
#define AFX_LISTNODEOFCPOINT3D_H__0206868D_2E9C_40D2_AB3E_AD8990AA5941__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Point3D.h"

class CPoint3D;
class CListOfCPoint3D;

class CListNodeOfCPoint3D  
{
	friend class CListOfCPoint3D;
	friend class CListIteratorOfListOfCPoint3D;
public:
	CListNodeOfCPoint3D(const CPoint3D&);
	CPoint3D GetData() const;
	virtual ~CListNodeOfCPoint3D();
	bool operator==(CListNodeOfCPoint3D& rhs);
	bool operator!=(CListNodeOfCPoint3D& rhs);
private:
	CPoint3D data;
	CListNodeOfCPoint3D* nextPtr;

};

#endif // !defined(AFX_LISTNODEOFCPOINT3D_H__0206868D_2E9C_40D2_AB3E_AD8990AA5941__INCLUDED_)
