//############################################################################

//  Author:	Sharjith Nair
//  Email:	sharjith_ssn@hotmail.com

// Program:	OpenGL, C++ MFC StereoLithography Data File Viewer Application

//							Important Notice:

//	This Idea and the Application is Copyright(c) Sharjith Nair 2002, 2003.
//	You can freely use it as long as you credit me for it.

//	No guarantee/warranty is given on this app and I will not be responsible 
//	for any damage to you, your property or any other person from using it.
//	USE IT ON YOUR OWN RISK.

//	Thankyou
//	Sharjith Nair.

//#############################################################################

// ListOfCPoint3D.h: interface for the CListOfCPoint3D class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LISTOFCPOINT3D_H__64FE1368_B1AF_44CF_8FFF_9382221176C2__INCLUDED_)
#define AFX_LISTOFCPOINT3D_H__64FE1368_B1AF_44CF_8FFF_9382221176C2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ListNodeOfCPoint3D.h"

class CPoint3D;
class CListIteratorOfListOfCPoint3D;

class CListOfCPoint3D
{
	friend class CListIteratorOfListOfCPoint3D;
public:
	CListOfCPoint3D();
	virtual ~CListOfCPoint3D();
	void Append(const CPoint3D& data);
	void Prepend(const CPoint3D& data);
	CPoint3D First() const;
	CPoint3D Last() const;
	bool IsEmpty() const;
	void Clear();
private:
	CListNodeOfCPoint3D* firstPtr;
	CListNodeOfCPoint3D* lastPtr;
private:
	CListNodeOfCPoint3D* NewNode(const CPoint3D&);
};

#endif // !defined(AFX_LISTOFCPOINT3D_H__64FE1368_B1AF_44CF_8FFF_9382221176C2__INCLUDED_)
